Security Enhanced Linux Reference Policy

# Layer: session

## Module: wayland

Interfaces

### Description:

Policy for wayland desktops.

### Interfaces:

wayland_client_domain( domain )

##### Summary

Associate the specified domain with the Wayland client attribute.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

wayland_client_sandboxed_domain( domain , domain )

##### Summary

Associate the specified domain with the Wayland client sandboxed attribute.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
domain | Domain allowed access.

wayland_client_tmpfs( domain )

##### Summary

Associate the specified domain with the Wayland client tmpfs attribute.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

wayland_compositor_domain( domain )

##### Summary

Associate the specified domain with the Wayland compositor attribute.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

wayland_compositor_tmpfs( domain )

##### Summary

Associate the specified domain with the Wayland compositor tmpfs attribute.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

wayland_stream_connect( domain )

##### Summary

Connect to the Wayland compositor using a UNIX domain stream socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return